﻿using System;
using System.Drawing;
using System.Windows.Forms;

public class Form1 : System.Windows.Forms.Form
{ public const Int32 nTrackBars = 7;
  public TrackBar[] trackbar = new TrackBar[nTrackBars];
  Label[] label = new Label[nTrackBars];

  public Form1()
  { StartPosition = FormStartPosition.Manual;
    BackColor = Color.White;
    for ( int i = 0; i < nTrackBars; i++ )
    { trackbar[i] = new TrackBar(); Controls.Add( trackbar[i] );
      trackbar[i].ValueChanged += new EventHandler( trackbar_handler );
      trackbar[i].Name = "tr" + i.ToString();
      label[i] = new Label(); Controls.Add( label[i] );
      trackbar[i].AutoSize = false;
      trackbar[i].TickStyle = TickStyle.None;
      trackbar[i].Minimum =  0;
      trackbar[i].Maximum = 150;
      label[i].TextAlign = ContentAlignment.TopCenter;
    }
    trackbar[5].Minimum = -15;
    trackbar[5].Maximum =  15;
    trackbar[6].Minimum = -45;
    trackbar[6].Maximum =  45;
    label[0].Text = "vorne links";
    label[1].Text = "vorne rechts";
    label[2].Text = "hinten links";
    label[3].Text = "hinten rechts";
    label[4].Text = "Gewicht";
    label[5].Text = "Schwerpunkt X";
    label[6].Text = "Schwerpunkt Y";
    foreach (Control c in Controls) c.BackColor = Color.Gray;
  }
  protected override void OnResize( EventArgs e )
  { Int32 w = ClientRectangle.Width;
    Int32 h = ClientRectangle.Height / Controls.Count;
    Int32 top = 1;
    for ( int i = 0; i < Controls.Count; i++ )
    { Controls[i].Top    = top;
      Controls[i].Left   = 2;
      Controls[i].Width  = w;
      Controls[i].Height = h - 2;
      top += h;
    }
    for ( int i = 0; i < nTrackBars; i++ ) trackbar[i].Height = h;
  }
  protected void trackbar_handler( object sender, System.EventArgs e )
  { Int32 value = ((TrackBar)sender).Value;
    switch( ((TrackBar)sender).Name )
    { case "tr0":
           Program.Game1.height[0] = value; 
           break;
      case "PenThickness":
           break;
      case "Brightness":
           break;
    }
  }
}